local WrapLibrary = function(t)
  local call = engine.ProfileCall
  for k, v in pairs(t) do
    if type(v) == "function" then
      t[k] = function(...)
        return call(k, v, ...)
      end
    end
  end
  return t
end
return {WrapLibrary = WrapLibrary}
